
/*
Theme Name: formotor-child Theme
Template: hello-elementor
Version: 1.0.0
Author: Allinagency
*/

/* Custom styles */


:root {
    --color-primary: #0025ff;
    --color-primary-rgb: 45, 210, 34;
    --color-success: #2dd222;
    --color-bg-1:#95D0E7;
    --color-bg-2:#9de19f;
    --color-bg-3:#83e47b;
    --color-bg-4:#D8F7D5;
}

/* Header fijo y visible al hacer scroll hacia arriba */
#header-main-fixed {
  --header-offset-top: 0px;

  position: fixed;
  top: var(--header-offset-top);
  left: 0;
  right: 0;
  z-index: 9999;

  transform: translate3d(0, calc(-100% - var(--header-offset-top)), 0);
  transition: transform 0.28s ease;
  will-change: transform;

  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
}

#header-main-fixed.is-visible {
  transform: translate3d(0, 0, 0);
}
.mega-menu-container {
    margin: auto;
    left: auto!important;
    width: 70%!important;
}

#header-main-fixed.is-hidden {
  transform: translate3d(0, calc(-100% - var(--header-offset-top)), 0);
}

#header-main-fixed.is-active {
  box-shadow: 0 4px 14px rgba(0, 0, 0, 0.08);
}

/* clase cuando existe admin bar */
#header-main-fixed.has-wp-admin-bar {
  --header-offset-top: 32px;
}

@media (max-width: 782px) {
  #header-main-fixed.has-wp-admin-bar {
    --header-offset-top: 46px;
  }
}

/* Widget Home My Booking */
.mybooking-selector {
    padding: 0;
    background-color: transparent;
    border: 0;
    color: #fff;
}
.mybooking-selector_button {
    border: 1px solid var(--color-success)!important;
    border-radius: 50px!important;
}
.mybooking-selector form input:not([type="submit"]), .mybooking-selector form select {
    font-weight: 400 !important;
    border-radius: 3px!important;
    border: 0!important;
}
#form-selector {
    display: flex;
    justify-content: space-between;
}
#form-selector label {
    white-space: nowrap;
}
.mybooking-selector_group  {
    width: calc(47% - 45px);
}
.mybooking-selector_group.mybooking-selector_footer {
    width: 120px;
}

/* Brand Elements */
.corner,
.linewave {
    position: relative;
}

.linewave:after {
    content: "";
    position: absolute;
    left: 10px;
    top: -4px;
    width: 80px; /* ajusta el tamaño según tu imagen */
    height: 80px;
    margin-left: 8px;
    background-image: url('/wp-content/themes/formotor-child/images/line-wave.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.underline:after {
    content: "";
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: center;
    background-image: url('/wp-content/themes/formotor-child/images/line-wave.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    height: 10px;
    margin-top: 20px;
}

.green {
    color:var(--color-success)!important;
}

.type-boston {
    font-family: "Boston Skyline", Sans-serif;
    font-size: 81px;
    display: inline-block;
    transform: translateY(10px);
    margin-left: 5px;
}
.corner:before {
    content: "";
    position: absolute;
    left: -25px;
    top: -25px;
    width: 100px; /* ajusta el tamaño según tu imagen */
    height: 100px;
    background-image: url('/wp-content/themes/formotor-child/images/corner.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    z-index: -1;
}

.lines-decor:after {
    content: "";
    position: absolute;
    left: -30px;
    top: 40%;
    width: 100px;
    height: 80px;
    background-image: url(/wp-content/themes/formotor-child/images/3-line-wave.svg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    z-index: 2;
}
.image-overlay-2,
.image-overlay {
    position: relative;
}
.image-overlay-2::after,
.image-overlay::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    background: linear-gradient(90deg, var(--color-success, #2dd222) 0%, var(--color-primary, #0025ff) 100%);
    z-index: 1;
    mix-blend-mode: multiply;
    opacity: 0.9;
}
.image-overlay-2 img,
.image-overlay img {
    display: block;
    width: 100%;
    height: auto;
    position: relative;
    z-index: 1;
}
.image-overlay-2::after {
       background: linear-gradient(-90deg, var(--color-success, #2dd222) 0%, var(--color-primary, #0025ff) 100%); 
}

.single-post-content h2 {
    font-size: 26px!important;
    margin-top: 25px!important;
}
.single-post-content h3 {
    font-size: 20px!important;
    margin-top: 25px!important;
}
.single-post-content h4 {
    font-size: 18px!important;
    margin-top: 25px!important;
}
.single-post-content ol,
.single-post-content ul {
    margin-bottom: 20px!important;
    list-style-position: inside;
    padding-left: 15px!important;
}
.vehicle-extra-precio {
    color: var(--color-primary);
    font-weight: 500;
}
.single-post-content ol h2,
.single-post-content ol h3,
.single-post-content ol h4 {
    display: inline-block;
}
.single-post-content ol li,
.single-post-content ul li {
    font-size: 16px!important;
    margin-bottom: 6px!important;
}

.single-post-content a:hover {
    color: var(--color-primary)!important;
    text-decoration: underline!important;
}
.carrusel-info-cards ul {
    padding-left: 20px!important;
}
.carrusel-info-cards ul  li{
    margin-bottom: 10px!important;
}

#white-card-carrusel .swiper-pagination {
    display: none;
}

.carrusel-info-cards .swiper {
    padding: 0!important;
}

.list-content li a {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    width: 100%;
    color: var(--color-primary)!important;
    padding-bottom: 16px;
    border-bottom: 2px solid var(--color-success)!important;
}

.list-content li {
    margin-bottom: 16px!important;
}

.faqs-module .e-n-accordion-item-title-icon {
    background: #83e47b;
    padding: 5px;
    border-radius: 50%;
}

.lista-formotor ul {
    list-style: none;
    padding-left: 0;
}

.lista-formotor ul li {
    position: relative;
    padding-left: 20px;
    margin-bottom: 10px!important;
}

.lista-formotor ul li::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0.7em;
    width: 5px;
    height: 5px;
    background: var(--color-success, #2dd222);
    border-radius: 50%;
    display: inline-block;
    transform: translateY(-50%);
}


@media (max-width:767px) {
   #white-card-carrusel .swiper-pagination {
        display: flex;
    }
    .lines-decor:after {
        left: -20px;
        top: 55%;
        width: 60px;
        height: 30px;
    }
    .underline:after {
        height: 5px;
        margin-top: 10px;
    }
    .linewave:after {
        left: 10px;
        top: -10px;
        width: 60px;
        height: 60px;
        margin-left: 8px;
    }
    .corner:before {
        left: -12px;
        top: -15px;
    }  
    #form-selector {
        flex-direction: column;
    }
    .mybooking-selector_group {
        width: 100%;
    }
}